Index: trunk/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/MeanFunctions/MeanConst.cs
===================================================================
--- trunk/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/MeanFunctions/MeanConst.cs	(revision 15682)
+++ trunk/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/MeanFunctions/MeanConst.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -21,14 +21,12 @@
 
 using System;
-using System.Collections.Generic;
-using System.Linq;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
-  [StorableClass]
+  [StorableType("6E29FC23-D11B-4F32-9101-DB2BF5B2F29E")]
   [Item(Name = "MeanConst", Description = "Constant mean function for Gaussian processes.")]
   public sealed class MeanConst : ParameterizedNamedItem, IMeanFunction {
@@ -38,5 +36,5 @@
 
     [StorableConstructor]
-    private MeanConst(bool deserializing) : base(deserializing) { }
+    private MeanConst(StorableConstructorFlag _) : base(_) { }
     private MeanConst(MeanConst original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/MeanFunctions/MeanLinear.cs
===================================================================
--- trunk/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/MeanFunctions/MeanLinear.cs	(revision 15682)
+++ trunk/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/MeanFunctions/MeanLinear.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,8 +26,8 @@
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
-  [StorableClass]
+  [StorableType("B5F37A3E-1004-4C24-ADDE-C830757A9ABE")]
   [Item(Name = "MeanLinear", Description = "Linear mean function for Gaussian processes.")]
   public sealed class MeanLinear : ParameterizedNamedItem, IMeanFunction {
@@ -37,5 +37,5 @@
 
     [StorableConstructor]
-    private MeanLinear(bool deserializing) : base(deserializing) { }
+    private MeanLinear(StorableConstructorFlag _) : base(_) { }
     private MeanLinear(MeanLinear original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/MeanFunctions/MeanModel.cs
===================================================================
--- trunk/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/MeanFunctions/MeanModel.cs	(revision 15682)
+++ trunk/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/MeanFunctions/MeanModel.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -25,9 +25,9 @@
 using HeuristicLab.Core;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.Problems.DataAnalysis;
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
-  [StorableClass]
+  [StorableType("4A05BC94-CC08-45E0-989A-516B1C1CC956")]
   [Item(Name = "MeanModel", Description = "A mean function for Gaussian processes that uses a regression solution created with a different algorithm to calculate the mean.")]
   // essentially an adaptor which maps from IMeanFunction to IRegressionSolution
@@ -42,5 +42,5 @@
 
     [StorableConstructor]
-    private MeanModel(bool deserializing) : base(deserializing) { }
+    private MeanModel(StorableConstructorFlag _) : base(_) { }
     private MeanModel(MeanModel original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/MeanFunctions/MeanProduct.cs
===================================================================
--- trunk/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/MeanFunctions/MeanProduct.cs	(revision 15682)
+++ trunk/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/MeanFunctions/MeanProduct.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,8 +24,8 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
-  [StorableClass]
+  [StorableType("27D33B4E-6100-419E-B4EA-6D5EFDBFF823")]
   [Item(Name = "MeanProduct", Description = "Product of mean functions for Gaussian processes.")]
   public sealed class MeanProduct : Item, IMeanFunction {
@@ -41,6 +41,5 @@
 
     [StorableConstructor]
-    private MeanProduct(bool deserializing)
-      : base(deserializing) {
+    private MeanProduct(StorableConstructorFlag _) : base(_) {
     }
 
Index: trunk/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/MeanFunctions/MeanSum.cs
===================================================================
--- trunk/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/MeanFunctions/MeanSum.cs	(revision 15682)
+++ trunk/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/MeanFunctions/MeanSum.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,8 +24,8 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
-  [StorableClass]
+  [StorableType("E8BB7879-43C7-4B9A-B9AC-C9CC482BC0D7")]
   [Item(Name = "MeanSum", Description = "Sum of mean functions for Gaussian processes.")]
   public sealed class MeanSum : Item, IMeanFunction {
@@ -40,5 +40,5 @@
 
     [StorableConstructor]
-    private MeanSum(bool deserializing) : base(deserializing) { }
+    private MeanSum(StorableConstructorFlag _) : base(_) { }
     private MeanSum(MeanSum original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/MeanFunctions/MeanZero.cs
===================================================================
--- trunk/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/MeanFunctions/MeanZero.cs	(revision 15682)
+++ trunk/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/MeanFunctions/MeanZero.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,12 +22,12 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
-  [StorableClass]
+  [StorableType("7B76ECDD-A7B1-450F-B542-D25E19480FC5")]
   [Item(Name = "MeanZero", Description = "Constant zero mean function for Gaussian processes.")]
   public sealed class MeanZero : Item, IMeanFunction {
     [StorableConstructor]
-    private MeanZero(bool deserializing) : base(deserializing) { }
+    private MeanZero(StorableConstructorFlag _) : base(_) { }
     private MeanZero(MeanZero original, Cloner cloner)
       : base(original, cloner) {
